-- (c) Copyright 1995-2013 Xilinx, Inc. All rights reserved.
-- 
-- This file contains confidential and proprietary information
-- of Xilinx, Inc. and is protected under U.S. and
-- international copyright and other intellectual property
-- laws.
-- 
-- DISCLAIMER
-- This disclaimer is not a license and does not grant any
-- rights to the materials distributed herewith. Except as
-- otherwise provided in a valid license issued to you by
-- Xilinx, and to the maximum extent permitted by applicable
-- law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
-- WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
-- AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
-- BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
-- INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
-- (2) Xilinx shall not be liable (whether in contract or tort,
-- including negligence, or under any other theory of
-- liability) for any loss or damage of any kind or nature
-- related to, arising under or in connection with these
-- materials, including for any direct, or any indirect,
-- special, incidental, or consequential loss or damage
-- (including loss of data, profits, goodwill, or any type of
-- loss or damage suffered as a result of any action brought
-- by a third party) even if such damage or loss was
-- reasonably foreseeable or Xilinx had been advised of the
-- possibility of the same.
-- 
-- CRITICAL APPLICATIONS
-- Xilinx products are not designed or intended to be fail-
-- safe, or for use in any application requiring fail-safe
-- performance, such as life-support or safety devices or
-- systems, Class III medical devices, nuclear facilities,
-- applications related to the deployment of airbags, or any
-- other applications that could lead to death, personal
-- injury, or severe property or environmental damage
-- (individually and collectively, "Critical
-- Applications"). Customer assumes the sole risk and
-- liability of any use of Xilinx products in Critical
-- Applications, subject only to applicable laws and
-- regulations governing limitations on product liability.
-- 
-- THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
-- PART OF THIS FILE AT ALL TIMES.
-- 
-- DO NOT MODIFY THIS FILE.

-- IP VLNV: xilinx.com:ip:pcie_7x:2.1
-- IP Revision: 0

LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;

ENTITY pcie_endpoint IS
  PORT (
    pci_exp_txn : OUT STD_LOGIC_VECTOR(7 DOWNTO 0);
    pci_exp_txp : OUT STD_LOGIC_VECTOR(7 DOWNTO 0);
    pci_exp_rxn : IN STD_LOGIC_VECTOR(7 DOWNTO 0);
    pci_exp_rxp : IN STD_LOGIC_VECTOR(7 DOWNTO 0);
    pipe_pclk_in : IN STD_LOGIC;
    pipe_rxusrclk_in : IN STD_LOGIC;
    pipe_rxoutclk_in : IN STD_LOGIC_VECTOR(7 DOWNTO 0);
    pipe_dclk_in : IN STD_LOGIC;
    pipe_userclk1_in : IN STD_LOGIC;
    pipe_userclk2_in : IN STD_LOGIC;
    pipe_oobclk_in : IN STD_LOGIC;
    pipe_mmcm_lock_in : IN STD_LOGIC;
    pipe_txoutclk_out : OUT STD_LOGIC;
    pipe_rxoutclk_out : OUT STD_LOGIC_VECTOR(7 DOWNTO 0);
    pipe_pclk_sel_out : OUT STD_LOGIC_VECTOR(7 DOWNTO 0);
    pipe_gen3_out : OUT STD_LOGIC;
    user_clk_out : OUT STD_LOGIC;
    user_reset_out : OUT STD_LOGIC;
    user_lnk_up : OUT STD_LOGIC;
    user_app_rdy : OUT STD_LOGIC;
    tx_buf_av : OUT STD_LOGIC_VECTOR(5 DOWNTO 0);
    tx_err_drop : OUT STD_LOGIC;
    tx_cfg_req : OUT STD_LOGIC;
    s_axis_tx_tdata : IN STD_LOGIC_VECTOR(127 DOWNTO 0);
    s_axis_tx_tvalid : IN STD_LOGIC;
    s_axis_tx_tready : OUT STD_LOGIC;
    s_axis_tx_tkeep : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    s_axis_tx_tlast : IN STD_LOGIC;
    s_axis_tx_tuser : IN STD_LOGIC_VECTOR(3 DOWNTO 0);
    tx_cfg_gnt : IN STD_LOGIC;
    m_axis_rx_tdata : OUT STD_LOGIC_VECTOR(127 DOWNTO 0);
    m_axis_rx_tvalid : OUT STD_LOGIC;
    m_axis_rx_tready : IN STD_LOGIC;
    m_axis_rx_tkeep : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    m_axis_rx_tlast : OUT STD_LOGIC;
    m_axis_rx_tuser : OUT STD_LOGIC_VECTOR(21 DOWNTO 0);
    rx_np_ok : IN STD_LOGIC;
    rx_np_req : IN STD_LOGIC;
    fc_cpld : OUT STD_LOGIC_VECTOR(11 DOWNTO 0);
    fc_cplh : OUT STD_LOGIC_VECTOR(7 DOWNTO 0);
    fc_npd : OUT STD_LOGIC_VECTOR(11 DOWNTO 0);
    fc_nph : OUT STD_LOGIC_VECTOR(7 DOWNTO 0);
    fc_pd : OUT STD_LOGIC_VECTOR(11 DOWNTO 0);
    fc_ph : OUT STD_LOGIC_VECTOR(7 DOWNTO 0);
    fc_sel : IN STD_LOGIC_VECTOR(2 DOWNTO 0);
    cfg_mgmt_do : OUT STD_LOGIC_VECTOR(31 DOWNTO 0);
    cfg_mgmt_rd_wr_done : OUT STD_LOGIC;
    cfg_status : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    cfg_command : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    cfg_dstatus : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    cfg_dcommand : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    cfg_lstatus : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    cfg_lcommand : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    cfg_dcommand2 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    cfg_pcie_link_state : OUT STD_LOGIC_VECTOR(2 DOWNTO 0);
    cfg_pmcsr_pme_en : OUT STD_LOGIC;
    cfg_pmcsr_powerstate : OUT STD_LOGIC_VECTOR(1 DOWNTO 0);
    cfg_pmcsr_pme_status : OUT STD_LOGIC;
    cfg_received_func_lvl_rst : OUT STD_LOGIC;
    cfg_mgmt_di : IN STD_LOGIC_VECTOR(31 DOWNTO 0);
    cfg_mgmt_byte_en : IN STD_LOGIC_VECTOR(3 DOWNTO 0);
    cfg_mgmt_dwaddr : IN STD_LOGIC_VECTOR(9 DOWNTO 0);
    cfg_mgmt_wr_en : IN STD_LOGIC;
    cfg_mgmt_rd_en : IN STD_LOGIC;
    cfg_mgmt_wr_readonly : IN STD_LOGIC;
    cfg_err_ecrc : IN STD_LOGIC;
    cfg_err_ur : IN STD_LOGIC;
    cfg_err_cpl_timeout : IN STD_LOGIC;
    cfg_err_cpl_unexpect : IN STD_LOGIC;
    cfg_err_cpl_abort : IN STD_LOGIC;
    cfg_err_posted : IN STD_LOGIC;
    cfg_err_cor : IN STD_LOGIC;
    cfg_err_atomic_egress_blocked : IN STD_LOGIC;
    cfg_err_internal_cor : IN STD_LOGIC;
    cfg_err_malformed : IN STD_LOGIC;
    cfg_err_mc_blocked : IN STD_LOGIC;
    cfg_err_poisoned : IN STD_LOGIC;
    cfg_err_norecovery : IN STD_LOGIC;
    cfg_err_tlp_cpl_header : IN STD_LOGIC_VECTOR(47 DOWNTO 0);
    cfg_err_cpl_rdy : OUT STD_LOGIC;
    cfg_err_locked : IN STD_LOGIC;
    cfg_err_acs : IN STD_LOGIC;
    cfg_err_internal_uncor : IN STD_LOGIC;
    cfg_trn_pending : IN STD_LOGIC;
    cfg_pm_halt_aspm_l0s : IN STD_LOGIC;
    cfg_pm_halt_aspm_l1 : IN STD_LOGIC;
    cfg_pm_force_state_en : IN STD_LOGIC;
    cfg_pm_force_state : IN STD_LOGIC_VECTOR(1 DOWNTO 0);
    cfg_dsn : IN STD_LOGIC_VECTOR(63 DOWNTO 0);
    cfg_msg_received : OUT STD_LOGIC;
    cfg_msg_data : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    cfg_interrupt : IN STD_LOGIC;
    cfg_interrupt_rdy : OUT STD_LOGIC;
    cfg_interrupt_assert : IN STD_LOGIC;
    cfg_interrupt_di : IN STD_LOGIC_VECTOR(7 DOWNTO 0);
    cfg_interrupt_do : OUT STD_LOGIC_VECTOR(7 DOWNTO 0);
    cfg_interrupt_mmenable : OUT STD_LOGIC_VECTOR(2 DOWNTO 0);
    cfg_interrupt_msienable : OUT STD_LOGIC;
    cfg_interrupt_msixenable : OUT STD_LOGIC;
    cfg_interrupt_msixfm : OUT STD_LOGIC;
    cfg_interrupt_stat : IN STD_LOGIC;
    cfg_pciecap_interrupt_msgnum : IN STD_LOGIC_VECTOR(4 DOWNTO 0);
    cfg_to_turnoff : OUT STD_LOGIC;
    cfg_turnoff_ok : IN STD_LOGIC;
    cfg_bus_number : OUT STD_LOGIC_VECTOR(7 DOWNTO 0);
    cfg_device_number : OUT STD_LOGIC_VECTOR(4 DOWNTO 0);
    cfg_function_number : OUT STD_LOGIC_VECTOR(2 DOWNTO 0);
    cfg_pm_wake : IN STD_LOGIC;
    cfg_msg_received_pm_as_nak : OUT STD_LOGIC;
    cfg_msg_received_setslotpowerlimit : OUT STD_LOGIC;
    cfg_pm_send_pme_to : IN STD_LOGIC;
    cfg_ds_bus_number : IN STD_LOGIC_VECTOR(7 DOWNTO 0);
    cfg_ds_device_number : IN STD_LOGIC_VECTOR(4 DOWNTO 0);
    cfg_ds_function_number : IN STD_LOGIC_VECTOR(2 DOWNTO 0);
    cfg_mgmt_wr_rw1c_as_rw : IN STD_LOGIC;
    cfg_bridge_serr_en : OUT STD_LOGIC;
    cfg_slot_control_electromech_il_ctl_pulse : OUT STD_LOGIC;
    cfg_root_control_syserr_corr_err_en : OUT STD_LOGIC;
    cfg_root_control_syserr_non_fatal_err_en : OUT STD_LOGIC;
    cfg_root_control_syserr_fatal_err_en : OUT STD_LOGIC;
    cfg_root_control_pme_int_en : OUT STD_LOGIC;
    cfg_aer_rooterr_corr_err_reporting_en : OUT STD_LOGIC;
    cfg_aer_rooterr_non_fatal_err_reporting_en : OUT STD_LOGIC;
    cfg_aer_rooterr_fatal_err_reporting_en : OUT STD_LOGIC;
    cfg_aer_rooterr_corr_err_received : OUT STD_LOGIC;
    cfg_aer_rooterr_non_fatal_err_received : OUT STD_LOGIC;
    cfg_aer_rooterr_fatal_err_received : OUT STD_LOGIC;
    cfg_msg_received_err_cor : OUT STD_LOGIC;
    cfg_msg_received_err_non_fatal : OUT STD_LOGIC;
    cfg_msg_received_err_fatal : OUT STD_LOGIC;
    cfg_msg_received_pm_pme : OUT STD_LOGIC;
    cfg_msg_received_pme_to_ack : OUT STD_LOGIC;
    cfg_msg_received_assert_int_a : OUT STD_LOGIC;
    cfg_msg_received_assert_int_b : OUT STD_LOGIC;
    cfg_msg_received_assert_int_c : OUT STD_LOGIC;
    cfg_msg_received_assert_int_d : OUT STD_LOGIC;
    cfg_msg_received_deassert_int_a : OUT STD_LOGIC;
    cfg_msg_received_deassert_int_b : OUT STD_LOGIC;
    cfg_msg_received_deassert_int_c : OUT STD_LOGIC;
    cfg_msg_received_deassert_int_d : OUT STD_LOGIC;
    pl_directed_link_change : IN STD_LOGIC_VECTOR(1 DOWNTO 0);
    pl_directed_link_width : IN STD_LOGIC_VECTOR(1 DOWNTO 0);
    pl_directed_link_speed : IN STD_LOGIC;
    pl_directed_link_auton : IN STD_LOGIC;
    pl_upstream_prefer_deemph : IN STD_LOGIC;
    pl_sel_lnk_rate : OUT STD_LOGIC;
    pl_sel_lnk_width : OUT STD_LOGIC_VECTOR(1 DOWNTO 0);
    pl_ltssm_state : OUT STD_LOGIC_VECTOR(5 DOWNTO 0);
    pl_lane_reversal_mode : OUT STD_LOGIC_VECTOR(1 DOWNTO 0);
    pl_phy_lnk_up : OUT STD_LOGIC;
    pl_tx_pm_state : OUT STD_LOGIC_VECTOR(2 DOWNTO 0);
    pl_rx_pm_state : OUT STD_LOGIC_VECTOR(1 DOWNTO 0);
    pl_link_upcfg_cap : OUT STD_LOGIC;
    pl_link_gen2_cap : OUT STD_LOGIC;
    pl_link_partner_gen2_supported : OUT STD_LOGIC;
    pl_initial_link_width : OUT STD_LOGIC_VECTOR(2 DOWNTO 0);
    pl_directed_change_done : OUT STD_LOGIC;
    pl_received_hot_rst : OUT STD_LOGIC;
    pl_transmit_hot_rst : IN STD_LOGIC;
    pl_downstream_deemph_source : IN STD_LOGIC;
    cfg_err_aer_headerlog : IN STD_LOGIC_VECTOR(127 DOWNTO 0);
    cfg_aer_interrupt_msgnum : IN STD_LOGIC_VECTOR(4 DOWNTO 0);
    cfg_err_aer_headerlog_set : OUT STD_LOGIC;
    cfg_aer_ecrc_check_en : OUT STD_LOGIC;
    cfg_aer_ecrc_gen_en : OUT STD_LOGIC;
    cfg_vc_tcvc_map : OUT STD_LOGIC_VECTOR(6 DOWNTO 0);
    pcie_drp_clk : IN STD_LOGIC;
    pcie_drp_en : IN STD_LOGIC;
    pcie_drp_we : IN STD_LOGIC;
    pcie_drp_addr : IN STD_LOGIC_VECTOR(8 DOWNTO 0);
    pcie_drp_di : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    pcie_drp_rdy : OUT STD_LOGIC;
    pcie_drp_do : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    startup_cfgclk : OUT STD_LOGIC;
    startup_cfgmclk : OUT STD_LOGIC;
    startup_eos : OUT STD_LOGIC;
    startup_preq : OUT STD_LOGIC;
    startup_clk : IN STD_LOGIC;
    startup_gsr : IN STD_LOGIC;
    startup_gts : IN STD_LOGIC;
    startup_keyclearb : IN STD_LOGIC;
    startup_pack : IN STD_LOGIC;
    startup_usrcclko : IN STD_LOGIC;
    startup_usrcclkts : IN STD_LOGIC;
    startup_usrdoneo : IN STD_LOGIC;
    startup_usrdonets : IN STD_LOGIC;
    icap_clk : IN STD_LOGIC;
    icap_csib : IN STD_LOGIC;
    icap_rdwrb : IN STD_LOGIC;
    icap_i : IN STD_LOGIC_VECTOR(31 DOWNTO 0);
    icap_o : OUT STD_LOGIC_VECTOR(31 DOWNTO 0);
    pipe_mmcm_rst_n : IN STD_LOGIC;
    sys_clk : IN STD_LOGIC;
    sys_rst_n : IN STD_LOGIC
  );
END pcie_endpoint;

ARCHITECTURE pcie_endpoint_arch OF pcie_endpoint IS
  COMPONENT pcie_7x_v2_1_top IS
    GENERIC (
      c_component_name : STRING;
      dev_port_type : STRING;
      c_dev_port_type : STRING;
      c_header_type : STRING;
      c_upstream_facing : STRING;
      max_lnk_wdt : STRING;
      c_max_lnk_wdt : STRING;
      max_lnk_spd : STRING;
      c_gen1 : BOOLEAN;
      c_int_width : INTEGER;
      pci_exp_int_freq : INTEGER;
      c_pcie_fast_config : INTEGER;
      bar_0 : STRING;
      bar_1 : STRING;
      bar_2 : STRING;
      bar_3 : STRING;
      bar_4 : STRING;
      bar_5 : STRING;
      xrom_bar : STRING;
      cost_table : INTEGER;
      ven_id : STRING;
      dev_id : STRING;
      rev_id : STRING;
      subsys_ven_id : STRING;
      subsys_id : STRING;
      class_code : STRING;
      cardbus_cis_ptr : STRING;
      cap_ver : STRING;
      c_pcie_cap_slot_implemented : STRING;
      mps : STRING;
      cmps : STRING;
      ext_tag_fld_sup : STRING;
      c_dev_control_ext_tag_default : STRING;
      phantm_func_sup : STRING;
      c_phantom_functions : STRING;
      ep_l0s_accpt_lat : STRING;
      c_ep_l0s_accpt_lat : STRING;
      ep_l1_accpt_lat : STRING;
      c_ep_l1_accpt_lat : STRING;
      c_cpl_timeout_disable_sup : STRING;
      c_cpl_timeout_range : STRING;
      c_cpl_timeout_ranges_sup : STRING;
      c_buf_opt_bma : STRING;
      c_perf_level_high : STRING;
      c_tx_last_tlp : STRING;
      c_rx_ram_limit : STRING;
      c_fc_ph : STRING;
      c_fc_pd : STRING;
      c_fc_nph : STRING;
      c_fc_npd : STRING;
      c_fc_cplh : STRING;
      c_fc_cpld : STRING;
      c_cpl_inf : STRING;
      c_cpl_infinite : STRING;
      c_surprise_dn_err_cap : STRING;
      c_dll_lnk_actv_cap : STRING;
      c_lnk_bndwdt_notif : STRING;
      c_external_clocking : STRING;
      c_trgt_lnk_spd : STRING;
      c_hw_auton_spd_disable : STRING;
      c_de_emph : STRING;
      slot_clk : STRING;
      c_rcb : STRING;
      c_root_cap_crs : STRING;
      c_slot_cap_attn_butn : STRING;
      c_slot_cap_attn_ind : STRING;
      c_slot_cap_pwr_ctrl : STRING;
      c_slot_cap_pwr_ind : STRING;
      c_slot_cap_hotplug_surprise : STRING;
      c_slot_cap_hotplug_cap : STRING;
      c_slot_cap_mrl : STRING;
      c_slot_cap_elec_interlock : STRING;
      c_slot_cap_no_cmd_comp_sup : STRING;
      c_slot_cap_pwr_limit_value : STRING;
      c_slot_cap_pwr_limit_scale : STRING;
      c_slot_cap_physical_slot_num : STRING;
      intx : STRING;
      int_pin : STRING;
      c_msi_cap_on : STRING;
      c_pm_cap_next_ptr : STRING;
      c_msi_64b_addr : STRING;
      c_msi : STRING;
      c_msi_mult_msg_extn : STRING;
      c_msi_per_vctr_mask_cap : STRING;
      c_msix_cap_on : STRING;
      c_msix_next_ptr : STRING;
      c_pcie_cap_next_ptr : STRING;
      c_msix_table_size : STRING;
      c_msix_table_offset : STRING;
      c_msix_table_bir : STRING;
      c_msix_pba_offset : STRING;
      c_msix_pba_bir : STRING;
      dsi : STRING;
      c_dsi_bool : STRING;
      d1_sup : STRING;
      c_d1_support : STRING;
      d2_sup : STRING;
      c_d2_support : STRING;
      pme_sup : STRING;
      c_pme_support : STRING;
      no_soft_rst : STRING;
      pwr_con_d0_state : STRING;
      con_scl_fctr_d0_state : STRING;
      pwr_con_d1_state : STRING;
      con_scl_fctr_d1_state : STRING;
      pwr_con_d2_state : STRING;
      con_scl_fctr_d2_state : STRING;
      pwr_con_d3_state : STRING;
      con_scl_fctr_d3_state : STRING;
      pwr_dis_d0_state : STRING;
      dis_scl_fctr_d0_state : STRING;
      pwr_dis_d1_state : STRING;
      dis_scl_fctr_d1_state : STRING;
      pwr_dis_d2_state : STRING;
      dis_scl_fctr_d2_state : STRING;
      pwr_dis_d3_state : STRING;
      dis_scl_fctr_d3_state : STRING;
      c_dsn_cap_enabled : STRING;
      c_dsn_base_ptr : STRING;
      c_vc_cap_enabled : STRING;
      c_vc_base_ptr : STRING;
      c_vc_cap_reject_snoop : STRING;
      c_vsec_cap_enabled : STRING;
      c_vsec_base_ptr : STRING;
      c_vsec_next_ptr : STRING;
      c_dsn_next_ptr : STRING;
      c_vc_next_ptr : STRING;
      c_pci_cfg_space_addr : STRING;
      c_ext_pci_cfg_space_addr : STRING;
      c_last_cfg_dw : STRING;
      trm_tlp_dgst_ecrc : STRING;
      c_enable_msg_route : STRING;
      bram_lat : STRING;
      c_rx_raddr_lat : STRING;
      c_rx_rdata_lat : STRING;
      c_rx_write_lat : STRING;
      c_tx_raddr_lat : STRING;
      c_tx_rdata_lat : STRING;
      c_tx_write_lat : STRING;
      c_ll_ack_timeout_enable : STRING;
      c_ll_ack_timeout_function : STRING;
      c_ll_ack_timeout : STRING;
      c_ll_replay_timeout_enable : STRING;
      c_ll_replay_timeout_func : STRING;
      c_ll_replay_timeout : STRING;
      c_dis_lane_reverse : STRING;
      c_upconfig_capable : STRING;
      c_disable_scrambling : STRING;
      c_disable_tx_aspm_l0s : STRING;
      c_rev_gt_order : STRING;
      c_pcie_dbg_ports : STRING;
      pci_exp_ref_freq : STRING;
      c_xlnx_ref_board : STRING;
      c_downstream_link_num : STRING;
      c_pcie_blk_locn : STRING;
      c_ur_atomic : STRING;
      c_dev_cap2_atomicop32_completer_supported : STRING;
      c_dev_cap2_atomicop64_completer_supported : STRING;
      c_dev_cap2_cas128_completer_supported : STRING;
      c_dev_cap2_tph_completer_supported : STRING;
      c_dev_cap2_ari_forwarding_supported : STRING;
      c_dev_cap2_atomicop_routing_supported : STRING;
      c_link_cap_aspm_optionality : STRING;
      c_aer_cap_on : STRING;
      c_aer_base_ptr : STRING;
      c_aer_cap_nextptr : STRING;
      c_aer_cap_ecrc_check_capable : STRING;
      c_aer_cap_ecrc_gen_capable : STRING;
      c_aer_cap_multiheader : STRING;
      c_aer_cap_permit_rooterr_update : STRING;
      c_rbar_cap_on : STRING;
      c_rbar_base_ptr : STRING;
      c_rbar_cap_nextptr : STRING;
      c_rbar_num : STRING;
      c_rbar_cap_sup0 : STRING;
      c_rbar_cap_index0 : STRING;
      c_rbar_cap_control_encodedbar0 : STRING;
      c_rbar_cap_sup1 : STRING;
      c_rbar_cap_index1 : STRING;
      c_rbar_cap_control_encodedbar1 : STRING;
      c_rbar_cap_sup2 : STRING;
      c_rbar_cap_index2 : STRING;
      c_rbar_cap_control_encodedbar2 : STRING;
      c_rbar_cap_sup3 : STRING;
      c_rbar_cap_index3 : STRING;
      c_rbar_cap_control_encodedbar3 : STRING;
      c_rbar_cap_sup4 : STRING;
      c_rbar_cap_index4 : STRING;
      c_rbar_cap_control_encodedbar4 : STRING;
      c_rbar_cap_sup5 : STRING;
      c_rbar_cap_index5 : STRING;
      c_rbar_cap_control_encodedbar5 : STRING;
      c_recrc_check : STRING;
      c_recrc_check_trim : STRING;
      c_disable_rx_poisoned_resp : STRING;
      c_trn_np_fc : STRING;
      c_ur_inv_req : STRING;
      c_ur_prs_response : STRING;
      c_silicon_rev : STRING;
      c_aer_cap_optional_err_support : STRING;
      LINK_CAP_MAX_LINK_WIDTH : INTEGER;
      C_DATA_WIDTH : INTEGER;
      PIPE_SIM : STRING;
      PCIE_EXT_CLK : STRING;
      KEEP_WIDTH : INTEGER
    );
    PORT (
      pci_exp_txn : OUT STD_LOGIC_VECTOR(7 DOWNTO 0);
      pci_exp_txp : OUT STD_LOGIC_VECTOR(7 DOWNTO 0);
      pci_exp_rxn : IN STD_LOGIC_VECTOR(7 DOWNTO 0);
      pci_exp_rxp : IN STD_LOGIC_VECTOR(7 DOWNTO 0);
      pipe_pclk_in : IN STD_LOGIC;
      pipe_rxusrclk_in : IN STD_LOGIC;
      pipe_rxoutclk_in : IN STD_LOGIC_VECTOR(7 DOWNTO 0);
      pipe_dclk_in : IN STD_LOGIC;
      pipe_userclk1_in : IN STD_LOGIC;
      pipe_userclk2_in : IN STD_LOGIC;
      pipe_oobclk_in : IN STD_LOGIC;
      pipe_mmcm_lock_in : IN STD_LOGIC;
      pipe_txoutclk_out : OUT STD_LOGIC;
      pipe_rxoutclk_out : OUT STD_LOGIC_VECTOR(7 DOWNTO 0);
      pipe_pclk_sel_out : OUT STD_LOGIC_VECTOR(7 DOWNTO 0);
      pipe_gen3_out : OUT STD_LOGIC;
      user_clk_out : OUT STD_LOGIC;
      user_reset_out : OUT STD_LOGIC;
      user_lnk_up : OUT STD_LOGIC;
      user_app_rdy : OUT STD_LOGIC;
      tx_buf_av : OUT STD_LOGIC_VECTOR(5 DOWNTO 0);
      tx_err_drop : OUT STD_LOGIC;
      tx_cfg_req : OUT STD_LOGIC;
      s_axis_tx_tdata : IN STD_LOGIC_VECTOR(127 DOWNTO 0);
      s_axis_tx_tvalid : IN STD_LOGIC;
      s_axis_tx_tready : OUT STD_LOGIC;
      s_axis_tx_tkeep : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      s_axis_tx_tlast : IN STD_LOGIC;
      s_axis_tx_tuser : IN STD_LOGIC_VECTOR(3 DOWNTO 0);
      tx_cfg_gnt : IN STD_LOGIC;
      m_axis_rx_tdata : OUT STD_LOGIC_VECTOR(127 DOWNTO 0);
      m_axis_rx_tvalid : OUT STD_LOGIC;
      m_axis_rx_tready : IN STD_LOGIC;
      m_axis_rx_tkeep : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      m_axis_rx_tlast : OUT STD_LOGIC;
      m_axis_rx_tuser : OUT STD_LOGIC_VECTOR(21 DOWNTO 0);
      rx_np_ok : IN STD_LOGIC;
      rx_np_req : IN STD_LOGIC;
      fc_cpld : OUT STD_LOGIC_VECTOR(11 DOWNTO 0);
      fc_cplh : OUT STD_LOGIC_VECTOR(7 DOWNTO 0);
      fc_npd : OUT STD_LOGIC_VECTOR(11 DOWNTO 0);
      fc_nph : OUT STD_LOGIC_VECTOR(7 DOWNTO 0);
      fc_pd : OUT STD_LOGIC_VECTOR(11 DOWNTO 0);
      fc_ph : OUT STD_LOGIC_VECTOR(7 DOWNTO 0);
      fc_sel : IN STD_LOGIC_VECTOR(2 DOWNTO 0);
      cfg_mgmt_do : OUT STD_LOGIC_VECTOR(31 DOWNTO 0);
      cfg_mgmt_rd_wr_done : OUT STD_LOGIC;
      cfg_status : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      cfg_command : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      cfg_dstatus : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      cfg_dcommand : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      cfg_lstatus : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      cfg_lcommand : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      cfg_dcommand2 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      cfg_pcie_link_state : OUT STD_LOGIC_VECTOR(2 DOWNTO 0);
      cfg_pmcsr_pme_en : OUT STD_LOGIC;
      cfg_pmcsr_powerstate : OUT STD_LOGIC_VECTOR(1 DOWNTO 0);
      cfg_pmcsr_pme_status : OUT STD_LOGIC;
      cfg_received_func_lvl_rst : OUT STD_LOGIC;
      cfg_mgmt_di : IN STD_LOGIC_VECTOR(31 DOWNTO 0);
      cfg_mgmt_byte_en : IN STD_LOGIC_VECTOR(3 DOWNTO 0);
      cfg_mgmt_dwaddr : IN STD_LOGIC_VECTOR(9 DOWNTO 0);
      cfg_mgmt_wr_en : IN STD_LOGIC;
      cfg_mgmt_rd_en : IN STD_LOGIC;
      cfg_mgmt_wr_readonly : IN STD_LOGIC;
      cfg_err_ecrc : IN STD_LOGIC;
      cfg_err_ur : IN STD_LOGIC;
      cfg_err_cpl_timeout : IN STD_LOGIC;
      cfg_err_cpl_unexpect : IN STD_LOGIC;
      cfg_err_cpl_abort : IN STD_LOGIC;
      cfg_err_posted : IN STD_LOGIC;
      cfg_err_cor : IN STD_LOGIC;
      cfg_err_atomic_egress_blocked : IN STD_LOGIC;
      cfg_err_internal_cor : IN STD_LOGIC;
      cfg_err_malformed : IN STD_LOGIC;
      cfg_err_mc_blocked : IN STD_LOGIC;
      cfg_err_poisoned : IN STD_LOGIC;
      cfg_err_norecovery : IN STD_LOGIC;
      cfg_err_tlp_cpl_header : IN STD_LOGIC_VECTOR(47 DOWNTO 0);
      cfg_err_cpl_rdy : OUT STD_LOGIC;
      cfg_err_locked : IN STD_LOGIC;
      cfg_err_acs : IN STD_LOGIC;
      cfg_err_internal_uncor : IN STD_LOGIC;
      cfg_trn_pending : IN STD_LOGIC;
      cfg_pm_halt_aspm_l0s : IN STD_LOGIC;
      cfg_pm_halt_aspm_l1 : IN STD_LOGIC;
      cfg_pm_force_state_en : IN STD_LOGIC;
      cfg_pm_force_state : IN STD_LOGIC_VECTOR(1 DOWNTO 0);
      cfg_dsn : IN STD_LOGIC_VECTOR(63 DOWNTO 0);
      cfg_msg_received : OUT STD_LOGIC;
      cfg_msg_data : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      cfg_interrupt : IN STD_LOGIC;
      cfg_interrupt_rdy : OUT STD_LOGIC;
      cfg_interrupt_assert : IN STD_LOGIC;
      cfg_interrupt_di : IN STD_LOGIC_VECTOR(7 DOWNTO 0);
      cfg_interrupt_do : OUT STD_LOGIC_VECTOR(7 DOWNTO 0);
      cfg_interrupt_mmenable : OUT STD_LOGIC_VECTOR(2 DOWNTO 0);
      cfg_interrupt_msienable : OUT STD_LOGIC;
      cfg_interrupt_msixenable : OUT STD_LOGIC;
      cfg_interrupt_msixfm : OUT STD_LOGIC;
      cfg_interrupt_stat : IN STD_LOGIC;
      cfg_pciecap_interrupt_msgnum : IN STD_LOGIC_VECTOR(4 DOWNTO 0);
      cfg_to_turnoff : OUT STD_LOGIC;
      cfg_turnoff_ok : IN STD_LOGIC;
      cfg_bus_number : OUT STD_LOGIC_VECTOR(7 DOWNTO 0);
      cfg_device_number : OUT STD_LOGIC_VECTOR(4 DOWNTO 0);
      cfg_function_number : OUT STD_LOGIC_VECTOR(2 DOWNTO 0);
      cfg_pm_wake : IN STD_LOGIC;
      cfg_msg_received_pm_as_nak : OUT STD_LOGIC;
      cfg_msg_received_setslotpowerlimit : OUT STD_LOGIC;
      cfg_pm_send_pme_to : IN STD_LOGIC;
      cfg_ds_bus_number : IN STD_LOGIC_VECTOR(7 DOWNTO 0);
      cfg_ds_device_number : IN STD_LOGIC_VECTOR(4 DOWNTO 0);
      cfg_ds_function_number : IN STD_LOGIC_VECTOR(2 DOWNTO 0);
      cfg_mgmt_wr_rw1c_as_rw : IN STD_LOGIC;
      cfg_bridge_serr_en : OUT STD_LOGIC;
      cfg_slot_control_electromech_il_ctl_pulse : OUT STD_LOGIC;
      cfg_root_control_syserr_corr_err_en : OUT STD_LOGIC;
      cfg_root_control_syserr_non_fatal_err_en : OUT STD_LOGIC;
      cfg_root_control_syserr_fatal_err_en : OUT STD_LOGIC;
      cfg_root_control_pme_int_en : OUT STD_LOGIC;
      cfg_aer_rooterr_corr_err_reporting_en : OUT STD_LOGIC;
      cfg_aer_rooterr_non_fatal_err_reporting_en : OUT STD_LOGIC;
      cfg_aer_rooterr_fatal_err_reporting_en : OUT STD_LOGIC;
      cfg_aer_rooterr_corr_err_received : OUT STD_LOGIC;
      cfg_aer_rooterr_non_fatal_err_received : OUT STD_LOGIC;
      cfg_aer_rooterr_fatal_err_received : OUT STD_LOGIC;
      cfg_msg_received_err_cor : OUT STD_LOGIC;
      cfg_msg_received_err_non_fatal : OUT STD_LOGIC;
      cfg_msg_received_err_fatal : OUT STD_LOGIC;
      cfg_msg_received_pm_pme : OUT STD_LOGIC;
      cfg_msg_received_pme_to_ack : OUT STD_LOGIC;
      cfg_msg_received_assert_int_a : OUT STD_LOGIC;
      cfg_msg_received_assert_int_b : OUT STD_LOGIC;
      cfg_msg_received_assert_int_c : OUT STD_LOGIC;
      cfg_msg_received_assert_int_d : OUT STD_LOGIC;
      cfg_msg_received_deassert_int_a : OUT STD_LOGIC;
      cfg_msg_received_deassert_int_b : OUT STD_LOGIC;
      cfg_msg_received_deassert_int_c : OUT STD_LOGIC;
      cfg_msg_received_deassert_int_d : OUT STD_LOGIC;
      pl_directed_link_change : IN STD_LOGIC_VECTOR(1 DOWNTO 0);
      pl_directed_link_width : IN STD_LOGIC_VECTOR(1 DOWNTO 0);
      pl_directed_link_speed : IN STD_LOGIC;
      pl_directed_link_auton : IN STD_LOGIC;
      pl_upstream_prefer_deemph : IN STD_LOGIC;
      pl_sel_lnk_rate : OUT STD_LOGIC;
      pl_sel_lnk_width : OUT STD_LOGIC_VECTOR(1 DOWNTO 0);
      pl_ltssm_state : OUT STD_LOGIC_VECTOR(5 DOWNTO 0);
      pl_lane_reversal_mode : OUT STD_LOGIC_VECTOR(1 DOWNTO 0);
      pl_phy_lnk_up : OUT STD_LOGIC;
      pl_tx_pm_state : OUT STD_LOGIC_VECTOR(2 DOWNTO 0);
      pl_rx_pm_state : OUT STD_LOGIC_VECTOR(1 DOWNTO 0);
      pl_link_upcfg_cap : OUT STD_LOGIC;
      pl_link_gen2_cap : OUT STD_LOGIC;
      pl_link_partner_gen2_supported : OUT STD_LOGIC;
      pl_initial_link_width : OUT STD_LOGIC_VECTOR(2 DOWNTO 0);
      pl_directed_change_done : OUT STD_LOGIC;
      pl_received_hot_rst : OUT STD_LOGIC;
      pl_transmit_hot_rst : IN STD_LOGIC;
      pl_downstream_deemph_source : IN STD_LOGIC;
      cfg_err_aer_headerlog : IN STD_LOGIC_VECTOR(127 DOWNTO 0);
      cfg_aer_interrupt_msgnum : IN STD_LOGIC_VECTOR(4 DOWNTO 0);
      cfg_err_aer_headerlog_set : OUT STD_LOGIC;
      cfg_aer_ecrc_check_en : OUT STD_LOGIC;
      cfg_aer_ecrc_gen_en : OUT STD_LOGIC;
      cfg_vc_tcvc_map : OUT STD_LOGIC_VECTOR(6 DOWNTO 0);
      pcie_drp_clk : IN STD_LOGIC;
      pcie_drp_en : IN STD_LOGIC;
      pcie_drp_we : IN STD_LOGIC;
      pcie_drp_addr : IN STD_LOGIC_VECTOR(8 DOWNTO 0);
      pcie_drp_di : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      pcie_drp_rdy : OUT STD_LOGIC;
      pcie_drp_do : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      startup_cfgclk : OUT STD_LOGIC;
      startup_cfgmclk : OUT STD_LOGIC;
      startup_eos : OUT STD_LOGIC;
      startup_preq : OUT STD_LOGIC;
      startup_clk : IN STD_LOGIC;
      startup_gsr : IN STD_LOGIC;
      startup_gts : IN STD_LOGIC;
      startup_keyclearb : IN STD_LOGIC;
      startup_pack : IN STD_LOGIC;
      startup_usrcclko : IN STD_LOGIC;
      startup_usrcclkts : IN STD_LOGIC;
      startup_usrdoneo : IN STD_LOGIC;
      startup_usrdonets : IN STD_LOGIC;
      icap_clk : IN STD_LOGIC;
      icap_csib : IN STD_LOGIC;
      icap_rdwrb : IN STD_LOGIC;
      icap_i : IN STD_LOGIC_VECTOR(31 DOWNTO 0);
      icap_o : OUT STD_LOGIC_VECTOR(31 DOWNTO 0);
      pipe_mmcm_rst_n : IN STD_LOGIC;
      sys_clk : IN STD_LOGIC;
      sys_rst_n : IN STD_LOGIC
    );
  END COMPONENT pcie_7x_v2_1_top;
  ATTRIBUTE X_CORE_INFO : STRING;
  ATTRIBUTE X_CORE_INFO OF pcie_endpoint_arch : ARCHITECTURE IS "pcie_7x_v2_1_top,Vivado 2013.2_AR56630";
  ATTRIBUTE CHECK_LICENSE_TYPE : STRING;
  ATTRIBUTE CHECK_LICENSE_TYPE OF pcie_endpoint_arch : ARCHITECTURE IS "pcie_endpoint,pcie_7x_v2_1_top,{}";
  ATTRIBUTE CORE_GENERATION_INFO : STRING;
  ATTRIBUTE CORE_GENERATION_INFO OF pcie_endpoint_arch : ARCHITECTURE IS "pcie_endpoint,pcie_7x_v2_1_top,{x_ipProduct=Vivado 2013.2_AR56630,x_ipVendor=xilinx.com,x_ipLibrary=ip,x_ipName=pcie_7x,x_ipVersion=2.1,x_ipCoreRevision=0,x_ipLanguage=VHDL,c_component_name=pcie_endpoint,dev_port_type=0000,c_dev_port_type=0,c_header_type=00,c_upstream_facing=TRUE,max_lnk_wdt=001000,c_max_lnk_wdt=01,max_lnk_spd=2,c_gen1=true,c_int_width=64,pci_exp_int_freq=3,c_pcie_fast_config=0,bar_0=FFFFC004,bar_1=FFFFFFFF,bar_2=FFFF0004,bar_3=FFFFFFFF,bar_4=00000000,bar_5=00000000,xrom_bar=00000000,cost_table=1,ven_id=17D2,dev_id=00CA,rev_id=00,subsys_ven_id=17D2,subsys_id=00CA,class_code=118000,cardbus_cis_ptr=00000000,cap_ver=2,c_pcie_cap_slot_implemented=FALSE,mps=001,cmps=1,ext_tag_fld_sup=FALSE,c_dev_control_ext_tag_default=FALSE,phantm_func_sup=00,c_phantom_functions=0,ep_l0s_accpt_lat=000,c_ep_l0s_accpt_lat=0,ep_l1_accpt_lat=111,c_ep_l1_accpt_lat=7,c_cpl_timeout_disable_sup=FALSE,c_cpl_timeout_range=0010,c_cpl_timeout_ranges_sup=2,c_buf_opt_bma=FALSE,c_perf_level_high=TRUE,c_tx_last_tlp=28,c_rx_ram_limit=3FF,c_fc_ph=4,c_fc_pd=32,c_fc_nph=4,c_fc_npd=8,c_fc_cplh=72,c_fc_cpld=370,c_cpl_inf=TRUE,c_cpl_infinite=TRUE,c_surprise_dn_err_cap=FALSE,c_dll_lnk_actv_cap=FALSE,c_lnk_bndwdt_notif=FALSE,c_external_clocking=TRUE,c_trgt_lnk_spd=2,c_hw_auton_spd_disable=FALSE,c_de_emph=FALSE,slot_clk=TRUE,c_rcb=0,c_root_cap_crs=FALSE,c_slot_cap_attn_butn=FALSE,c_slot_cap_attn_ind=FALSE,c_slot_cap_pwr_ctrl=FALSE,c_slot_cap_pwr_ind=FALSE,c_slot_cap_hotplug_surprise=FALSE,c_slot_cap_hotplug_cap=FALSE,c_slot_cap_mrl=FALSE,c_slot_cap_elec_interlock=FALSE,c_slot_cap_no_cmd_comp_sup=FALSE,c_slot_cap_pwr_limit_value=0,c_slot_cap_pwr_limit_scale=0,c_slot_cap_physical_slot_num=0,intx=FALSE,int_pin=1,c_msi_cap_on=TRUE,c_pm_cap_next_ptr=48,c_msi_64b_addr=TRUE,c_msi=0,c_msi_mult_msg_extn=0,c_msi_per_vctr_mask_cap=FALSE,c_msix_cap_on=FALSE,c_msix_next_ptr=00,c_pcie_cap_next_ptr=00,c_msix_table_size=000,c_msix_table_offset=0,c_msix_table_bir=0,c_msix_pba_offset=0,c_msix_pba_bir=0,dsi=0,c_dsi_bool=FALSE,d1_sup=0,c_d1_support=FALSE,d2_sup=0,c_d2_support=FALSE,pme_sup=0F,c_pme_support=0F,no_soft_rst=TRUE,pwr_con_d0_state=00,con_scl_fctr_d0_state=0,pwr_con_d1_state=00,con_scl_fctr_d1_state=0,pwr_con_d2_state=00,con_scl_fctr_d2_state=0,pwr_con_d3_state=00,con_scl_fctr_d3_state=0,pwr_dis_d0_state=00,dis_scl_fctr_d0_state=0,pwr_dis_d1_state=00,dis_scl_fctr_d1_state=0,pwr_dis_d2_state=00,dis_scl_fctr_d2_state=0,pwr_dis_d3_state=00,dis_scl_fctr_d3_state=0,c_dsn_cap_enabled=TRUE,c_dsn_base_ptr=100,c_vc_cap_enabled=FALSE,c_vc_base_ptr=000,c_vc_cap_reject_snoop=FALSE,c_vsec_cap_enabled=FALSE,c_vsec_base_ptr=000,c_vsec_next_ptr=000,c_dsn_next_ptr=000,c_vc_next_ptr=000,c_pci_cfg_space_addr=3F,c_ext_pci_cfg_space_addr=3FF,c_last_cfg_dw=10C,trm_tlp_dgst_ecrc=TRUE,c_enable_msg_route=00000000000,bram_lat=0,c_rx_raddr_lat=0,c_rx_rdata_lat=2,c_rx_write_lat=0,c_tx_raddr_lat=0,c_tx_rdata_lat=2,c_tx_write_lat=0,c_ll_ack_timeout_enable=FALSE,c_ll_ack_timeout_function=0,c_ll_ack_timeout=0000,c_ll_replay_timeout_enable=FALSE,c_ll_replay_timeout_func=1,c_ll_replay_timeout=0000,c_dis_lane_reverse=TRUE,c_upconfig_capable=TRUE,c_disable_scrambling=FALSE,c_disable_tx_aspm_l0s=FALSE,c_rev_gt_order=FALSE,c_pcie_dbg_ports=FALSE,pci_exp_ref_freq=0,c_xlnx_ref_board=NONE,c_downstream_link_num=00,c_pcie_blk_locn=0,c_ur_atomic=FALSE,c_dev_cap2_atomicop32_completer_supported=FALSE,c_dev_cap2_atomicop64_completer_supported=FALSE,c_dev_cap2_cas128_completer_supported=FALSE,c_dev_cap2_tph_completer_supported=00,c_dev_cap2_ari_forwarding_supported=FALSE,c_dev_cap2_atomicop_routing_supported=FALSE,c_link_cap_aspm_optionality=FALSE,c_aer_cap_on=FALSE,c_aer_base_ptr=000,c_aer_cap_nextptr=000,c_aer_cap_ecrc_check_capable=FALSE,c_aer_cap_ecrc_gen_capable=FALSE,c_aer_cap_multiheader=FALSE,c_aer_cap_permit_rooterr_update=FALSE,c_rbar_cap_on=FALSE,c_rbar_base_ptr=000,c_rbar_cap_nextptr=000,c_rbar_num=0,c_rbar_cap_sup0=00001,c_rbar_cap_index0=0,c_rbar_cap_control_encodedbar0=00,c_rbar_cap_sup1=00001,c_rbar_cap_index1=0,c_rbar_cap_control_encodedbar1=00,c_rbar_cap_sup2=00001,c_rbar_cap_index2=0,c_rbar_cap_control_encodedbar2=00,c_rbar_cap_sup3=00001,c_rbar_cap_index3=0,c_rbar_cap_control_encodedbar3=00,c_rbar_cap_sup4=00001,c_rbar_cap_index4=0,c_rbar_cap_control_encodedbar4=00,c_rbar_cap_sup5=00001,c_rbar_cap_index5=0,c_rbar_cap_control_encodedbar5=00,c_recrc_check=0,c_recrc_check_trim=FALSE,c_disable_rx_poisoned_resp=FALSE,c_trn_np_fc=TRUE,c_ur_inv_req=TRUE,c_ur_prs_response=TRUE,c_silicon_rev=2,c_aer_cap_optional_err_support=000000,LINK_CAP_MAX_LINK_WIDTH=8,C_DATA_WIDTH=128,PIPE_SIM=FALSE,PCIE_EXT_CLK=FALSE,KEEP_WIDTH=16}";
BEGIN
  U0 : pcie_7x_v2_1_top
    GENERIC MAP (
      c_component_name => "pcie_endpoint",
      dev_port_type => "0000",
      c_dev_port_type => "0",
      c_header_type => "00",
      c_upstream_facing => "TRUE",
      max_lnk_wdt => "001000",
      c_max_lnk_wdt => "01",
      max_lnk_spd => "2",
      c_gen1 => true,
      c_int_width => 64,
      pci_exp_int_freq => 3,
      c_pcie_fast_config => 0,
      bar_0 => "FFFFC004",
      bar_1 => "FFFFFFFF",
      bar_2 => "FFFF0004",
      bar_3 => "FFFFFFFF",
      bar_4 => "00000000",
      bar_5 => "00000000",
      xrom_bar => "00000000",
      cost_table => 1,
      ven_id => "17D2",
      dev_id => "00CA",
      rev_id => "00",
      subsys_ven_id => "17D2",
      subsys_id => "00CA",
      class_code => "118000",
      cardbus_cis_ptr => "00000000",
      cap_ver => "2",
      c_pcie_cap_slot_implemented => "FALSE",
      mps => "001",
      cmps => "1",
      ext_tag_fld_sup => "FALSE",
      c_dev_control_ext_tag_default => "FALSE",
      phantm_func_sup => "00",
      c_phantom_functions => "0",
      ep_l0s_accpt_lat => "000",
      c_ep_l0s_accpt_lat => "0",
      ep_l1_accpt_lat => "111",
      c_ep_l1_accpt_lat => "7",
      c_cpl_timeout_disable_sup => "FALSE",
      c_cpl_timeout_range => "0010",
      c_cpl_timeout_ranges_sup => "2",
      c_buf_opt_bma => "FALSE",
      c_perf_level_high => "TRUE",
      c_tx_last_tlp => "28",
      c_rx_ram_limit => "3FF",
      c_fc_ph => "4",
      c_fc_pd => "32",
      c_fc_nph => "4",
      c_fc_npd => "8",
      c_fc_cplh => "72",
      c_fc_cpld => "370",
      c_cpl_inf => "TRUE",
      c_cpl_infinite => "TRUE",
      c_surprise_dn_err_cap => "FALSE",
      c_dll_lnk_actv_cap => "FALSE",
      c_lnk_bndwdt_notif => "FALSE",
      c_external_clocking => "TRUE",
      c_trgt_lnk_spd => "2",
      c_hw_auton_spd_disable => "FALSE",
      c_de_emph => "FALSE",
      slot_clk => "TRUE",
      c_rcb => "0",
      c_root_cap_crs => "FALSE",
      c_slot_cap_attn_butn => "FALSE",
      c_slot_cap_attn_ind => "FALSE",
      c_slot_cap_pwr_ctrl => "FALSE",
      c_slot_cap_pwr_ind => "FALSE",
      c_slot_cap_hotplug_surprise => "FALSE",
      c_slot_cap_hotplug_cap => "FALSE",
      c_slot_cap_mrl => "FALSE",
      c_slot_cap_elec_interlock => "FALSE",
      c_slot_cap_no_cmd_comp_sup => "FALSE",
      c_slot_cap_pwr_limit_value => "0",
      c_slot_cap_pwr_limit_scale => "0",
      c_slot_cap_physical_slot_num => "0",
      intx => "FALSE",
      int_pin => "1",
      c_msi_cap_on => "TRUE",
      c_pm_cap_next_ptr => "48",
      c_msi_64b_addr => "TRUE",
      c_msi => "0",
      c_msi_mult_msg_extn => "0",
      c_msi_per_vctr_mask_cap => "FALSE",
      c_msix_cap_on => "FALSE",
      c_msix_next_ptr => "00",
      c_pcie_cap_next_ptr => "00",
      c_msix_table_size => "000",
      c_msix_table_offset => "0",
      c_msix_table_bir => "0",
      c_msix_pba_offset => "0",
      c_msix_pba_bir => "0",
      dsi => "0",
      c_dsi_bool => "FALSE",
      d1_sup => "0",
      c_d1_support => "FALSE",
      d2_sup => "0",
      c_d2_support => "FALSE",
      pme_sup => "0F",
      c_pme_support => "0F",
      no_soft_rst => "TRUE",
      pwr_con_d0_state => "00",
      con_scl_fctr_d0_state => "0",
      pwr_con_d1_state => "00",
      con_scl_fctr_d1_state => "0",
      pwr_con_d2_state => "00",
      con_scl_fctr_d2_state => "0",
      pwr_con_d3_state => "00",
      con_scl_fctr_d3_state => "0",
      pwr_dis_d0_state => "00",
      dis_scl_fctr_d0_state => "0",
      pwr_dis_d1_state => "00",
      dis_scl_fctr_d1_state => "0",
      pwr_dis_d2_state => "00",
      dis_scl_fctr_d2_state => "0",
      pwr_dis_d3_state => "00",
      dis_scl_fctr_d3_state => "0",
      c_dsn_cap_enabled => "TRUE",
      c_dsn_base_ptr => "100",
      c_vc_cap_enabled => "FALSE",
      c_vc_base_ptr => "000",
      c_vc_cap_reject_snoop => "FALSE",
      c_vsec_cap_enabled => "FALSE",
      c_vsec_base_ptr => "000",
      c_vsec_next_ptr => "000",
      c_dsn_next_ptr => "000",
      c_vc_next_ptr => "000",
      c_pci_cfg_space_addr => "3F",
      c_ext_pci_cfg_space_addr => "3FF",
      c_last_cfg_dw => "10C",
      trm_tlp_dgst_ecrc => "TRUE",
      c_enable_msg_route => "00000000000",
      bram_lat => "0",
      c_rx_raddr_lat => "0",
      c_rx_rdata_lat => "2",
      c_rx_write_lat => "0",
      c_tx_raddr_lat => "0",
      c_tx_rdata_lat => "2",
      c_tx_write_lat => "0",
      c_ll_ack_timeout_enable => "FALSE",
      c_ll_ack_timeout_function => "0",
      c_ll_ack_timeout => "0000",
      c_ll_replay_timeout_enable => "FALSE",
      c_ll_replay_timeout_func => "1",
      c_ll_replay_timeout => "0000",
      c_dis_lane_reverse => "TRUE",
      c_upconfig_capable => "TRUE",
      c_disable_scrambling => "FALSE",
      c_disable_tx_aspm_l0s => "FALSE",
      c_rev_gt_order => "FALSE",
      c_pcie_dbg_ports => "FALSE",
      pci_exp_ref_freq => "0",
      c_xlnx_ref_board => "NONE",
      c_downstream_link_num => "00",
      c_pcie_blk_locn => "0",
      c_ur_atomic => "FALSE",
      c_dev_cap2_atomicop32_completer_supported => "FALSE",
      c_dev_cap2_atomicop64_completer_supported => "FALSE",
      c_dev_cap2_cas128_completer_supported => "FALSE",
      c_dev_cap2_tph_completer_supported => "00",
      c_dev_cap2_ari_forwarding_supported => "FALSE",
      c_dev_cap2_atomicop_routing_supported => "FALSE",
      c_link_cap_aspm_optionality => "FALSE",
      c_aer_cap_on => "FALSE",
      c_aer_base_ptr => "000",
      c_aer_cap_nextptr => "000",
      c_aer_cap_ecrc_check_capable => "FALSE",
      c_aer_cap_ecrc_gen_capable => "FALSE",
      c_aer_cap_multiheader => "FALSE",
      c_aer_cap_permit_rooterr_update => "FALSE",
      c_rbar_cap_on => "FALSE",
      c_rbar_base_ptr => "000",
      c_rbar_cap_nextptr => "000",
      c_rbar_num => "0",
      c_rbar_cap_sup0 => "00001",
      c_rbar_cap_index0 => "0",
      c_rbar_cap_control_encodedbar0 => "00",
      c_rbar_cap_sup1 => "00001",
      c_rbar_cap_index1 => "0",
      c_rbar_cap_control_encodedbar1 => "00",
      c_rbar_cap_sup2 => "00001",
      c_rbar_cap_index2 => "0",
      c_rbar_cap_control_encodedbar2 => "00",
      c_rbar_cap_sup3 => "00001",
      c_rbar_cap_index3 => "0",
      c_rbar_cap_control_encodedbar3 => "00",
      c_rbar_cap_sup4 => "00001",
      c_rbar_cap_index4 => "0",
      c_rbar_cap_control_encodedbar4 => "00",
      c_rbar_cap_sup5 => "00001",
      c_rbar_cap_index5 => "0",
      c_rbar_cap_control_encodedbar5 => "00",
      c_recrc_check => "0",
      c_recrc_check_trim => "FALSE",
      c_disable_rx_poisoned_resp => "FALSE",
      c_trn_np_fc => "TRUE",
      c_ur_inv_req => "TRUE",
      c_ur_prs_response => "TRUE",
      c_silicon_rev => "2",
      c_aer_cap_optional_err_support => "000000",
      LINK_CAP_MAX_LINK_WIDTH => 8,
      C_DATA_WIDTH => 128,
      PIPE_SIM => "FALSE",
      PCIE_EXT_CLK => "FALSE",
      KEEP_WIDTH => 16
    )
    PORT MAP (
      pci_exp_txn => pci_exp_txn,
      pci_exp_txp => pci_exp_txp,
      pci_exp_rxn => pci_exp_rxn,
      pci_exp_rxp => pci_exp_rxp,
      pipe_pclk_in => pipe_pclk_in,
      pipe_rxusrclk_in => pipe_rxusrclk_in,
      pipe_rxoutclk_in => pipe_rxoutclk_in,
      pipe_dclk_in => pipe_dclk_in,
      pipe_userclk1_in => pipe_userclk1_in,
      pipe_userclk2_in => pipe_userclk2_in,
      pipe_oobclk_in => pipe_oobclk_in,
      pipe_mmcm_lock_in => pipe_mmcm_lock_in,
      pipe_txoutclk_out => pipe_txoutclk_out,
      pipe_rxoutclk_out => pipe_rxoutclk_out,
      pipe_pclk_sel_out => pipe_pclk_sel_out,
      pipe_gen3_out => pipe_gen3_out,
      user_clk_out => user_clk_out,
      user_reset_out => user_reset_out,
      user_lnk_up => user_lnk_up,
      user_app_rdy => user_app_rdy,
      tx_buf_av => tx_buf_av,
      tx_err_drop => tx_err_drop,
      tx_cfg_req => tx_cfg_req,
      s_axis_tx_tdata => s_axis_tx_tdata,
      s_axis_tx_tvalid => s_axis_tx_tvalid,
      s_axis_tx_tready => s_axis_tx_tready,
      s_axis_tx_tkeep => s_axis_tx_tkeep,
      s_axis_tx_tlast => s_axis_tx_tlast,
      s_axis_tx_tuser => s_axis_tx_tuser,
      tx_cfg_gnt => tx_cfg_gnt,
      m_axis_rx_tdata => m_axis_rx_tdata,
      m_axis_rx_tvalid => m_axis_rx_tvalid,
      m_axis_rx_tready => m_axis_rx_tready,
      m_axis_rx_tkeep => m_axis_rx_tkeep,
      m_axis_rx_tlast => m_axis_rx_tlast,
      m_axis_rx_tuser => m_axis_rx_tuser,
      rx_np_ok => rx_np_ok,
      rx_np_req => rx_np_req,
      fc_cpld => fc_cpld,
      fc_cplh => fc_cplh,
      fc_npd => fc_npd,
      fc_nph => fc_nph,
      fc_pd => fc_pd,
      fc_ph => fc_ph,
      fc_sel => fc_sel,
      cfg_mgmt_do => cfg_mgmt_do,
      cfg_mgmt_rd_wr_done => cfg_mgmt_rd_wr_done,
      cfg_status => cfg_status,
      cfg_command => cfg_command,
      cfg_dstatus => cfg_dstatus,
      cfg_dcommand => cfg_dcommand,
      cfg_lstatus => cfg_lstatus,
      cfg_lcommand => cfg_lcommand,
      cfg_dcommand2 => cfg_dcommand2,
      cfg_pcie_link_state => cfg_pcie_link_state,
      cfg_pmcsr_pme_en => cfg_pmcsr_pme_en,
      cfg_pmcsr_powerstate => cfg_pmcsr_powerstate,
      cfg_pmcsr_pme_status => cfg_pmcsr_pme_status,
      cfg_received_func_lvl_rst => cfg_received_func_lvl_rst,
      cfg_mgmt_di => cfg_mgmt_di,
      cfg_mgmt_byte_en => cfg_mgmt_byte_en,
      cfg_mgmt_dwaddr => cfg_mgmt_dwaddr,
      cfg_mgmt_wr_en => cfg_mgmt_wr_en,
      cfg_mgmt_rd_en => cfg_mgmt_rd_en,
      cfg_mgmt_wr_readonly => cfg_mgmt_wr_readonly,
      cfg_err_ecrc => cfg_err_ecrc,
      cfg_err_ur => cfg_err_ur,
      cfg_err_cpl_timeout => cfg_err_cpl_timeout,
      cfg_err_cpl_unexpect => cfg_err_cpl_unexpect,
      cfg_err_cpl_abort => cfg_err_cpl_abort,
      cfg_err_posted => cfg_err_posted,
      cfg_err_cor => cfg_err_cor,
      cfg_err_atomic_egress_blocked => cfg_err_atomic_egress_blocked,
      cfg_err_internal_cor => cfg_err_internal_cor,
      cfg_err_malformed => cfg_err_malformed,
      cfg_err_mc_blocked => cfg_err_mc_blocked,
      cfg_err_poisoned => cfg_err_poisoned,
      cfg_err_norecovery => cfg_err_norecovery,
      cfg_err_tlp_cpl_header => cfg_err_tlp_cpl_header,
      cfg_err_cpl_rdy => cfg_err_cpl_rdy,
      cfg_err_locked => cfg_err_locked,
      cfg_err_acs => cfg_err_acs,
      cfg_err_internal_uncor => cfg_err_internal_uncor,
      cfg_trn_pending => cfg_trn_pending,
      cfg_pm_halt_aspm_l0s => cfg_pm_halt_aspm_l0s,
      cfg_pm_halt_aspm_l1 => cfg_pm_halt_aspm_l1,
      cfg_pm_force_state_en => cfg_pm_force_state_en,
      cfg_pm_force_state => cfg_pm_force_state,
      cfg_dsn => cfg_dsn,
      cfg_msg_received => cfg_msg_received,
      cfg_msg_data => cfg_msg_data,
      cfg_interrupt => cfg_interrupt,
      cfg_interrupt_rdy => cfg_interrupt_rdy,
      cfg_interrupt_assert => cfg_interrupt_assert,
      cfg_interrupt_di => cfg_interrupt_di,
      cfg_interrupt_do => cfg_interrupt_do,
      cfg_interrupt_mmenable => cfg_interrupt_mmenable,
      cfg_interrupt_msienable => cfg_interrupt_msienable,
      cfg_interrupt_msixenable => cfg_interrupt_msixenable,
      cfg_interrupt_msixfm => cfg_interrupt_msixfm,
      cfg_interrupt_stat => cfg_interrupt_stat,
      cfg_pciecap_interrupt_msgnum => cfg_pciecap_interrupt_msgnum,
      cfg_to_turnoff => cfg_to_turnoff,
      cfg_turnoff_ok => cfg_turnoff_ok,
      cfg_bus_number => cfg_bus_number,
      cfg_device_number => cfg_device_number,
      cfg_function_number => cfg_function_number,
      cfg_pm_wake => cfg_pm_wake,
      cfg_msg_received_pm_as_nak => cfg_msg_received_pm_as_nak,
      cfg_msg_received_setslotpowerlimit => cfg_msg_received_setslotpowerlimit,
      cfg_pm_send_pme_to => cfg_pm_send_pme_to,
      cfg_ds_bus_number => cfg_ds_bus_number,
      cfg_ds_device_number => cfg_ds_device_number,
      cfg_ds_function_number => cfg_ds_function_number,
      cfg_mgmt_wr_rw1c_as_rw => cfg_mgmt_wr_rw1c_as_rw,
      cfg_bridge_serr_en => cfg_bridge_serr_en,
      cfg_slot_control_electromech_il_ctl_pulse => cfg_slot_control_electromech_il_ctl_pulse,
      cfg_root_control_syserr_corr_err_en => cfg_root_control_syserr_corr_err_en,
      cfg_root_control_syserr_non_fatal_err_en => cfg_root_control_syserr_non_fatal_err_en,
      cfg_root_control_syserr_fatal_err_en => cfg_root_control_syserr_fatal_err_en,
      cfg_root_control_pme_int_en => cfg_root_control_pme_int_en,
      cfg_aer_rooterr_corr_err_reporting_en => cfg_aer_rooterr_corr_err_reporting_en,
      cfg_aer_rooterr_non_fatal_err_reporting_en => cfg_aer_rooterr_non_fatal_err_reporting_en,
      cfg_aer_rooterr_fatal_err_reporting_en => cfg_aer_rooterr_fatal_err_reporting_en,
      cfg_aer_rooterr_corr_err_received => cfg_aer_rooterr_corr_err_received,
      cfg_aer_rooterr_non_fatal_err_received => cfg_aer_rooterr_non_fatal_err_received,
      cfg_aer_rooterr_fatal_err_received => cfg_aer_rooterr_fatal_err_received,
      cfg_msg_received_err_cor => cfg_msg_received_err_cor,
      cfg_msg_received_err_non_fatal => cfg_msg_received_err_non_fatal,
      cfg_msg_received_err_fatal => cfg_msg_received_err_fatal,
      cfg_msg_received_pm_pme => cfg_msg_received_pm_pme,
      cfg_msg_received_pme_to_ack => cfg_msg_received_pme_to_ack,
      cfg_msg_received_assert_int_a => cfg_msg_received_assert_int_a,
      cfg_msg_received_assert_int_b => cfg_msg_received_assert_int_b,
      cfg_msg_received_assert_int_c => cfg_msg_received_assert_int_c,
      cfg_msg_received_assert_int_d => cfg_msg_received_assert_int_d,
      cfg_msg_received_deassert_int_a => cfg_msg_received_deassert_int_a,
      cfg_msg_received_deassert_int_b => cfg_msg_received_deassert_int_b,
      cfg_msg_received_deassert_int_c => cfg_msg_received_deassert_int_c,
      cfg_msg_received_deassert_int_d => cfg_msg_received_deassert_int_d,
      pl_directed_link_change => pl_directed_link_change,
      pl_directed_link_width => pl_directed_link_width,
      pl_directed_link_speed => pl_directed_link_speed,
      pl_directed_link_auton => pl_directed_link_auton,
      pl_upstream_prefer_deemph => pl_upstream_prefer_deemph,
      pl_sel_lnk_rate => pl_sel_lnk_rate,
      pl_sel_lnk_width => pl_sel_lnk_width,
      pl_ltssm_state => pl_ltssm_state,
      pl_lane_reversal_mode => pl_lane_reversal_mode,
      pl_phy_lnk_up => pl_phy_lnk_up,
      pl_tx_pm_state => pl_tx_pm_state,
      pl_rx_pm_state => pl_rx_pm_state,
      pl_link_upcfg_cap => pl_link_upcfg_cap,
      pl_link_gen2_cap => pl_link_gen2_cap,
      pl_link_partner_gen2_supported => pl_link_partner_gen2_supported,
      pl_initial_link_width => pl_initial_link_width,
      pl_directed_change_done => pl_directed_change_done,
      pl_received_hot_rst => pl_received_hot_rst,
      pl_transmit_hot_rst => pl_transmit_hot_rst,
      pl_downstream_deemph_source => pl_downstream_deemph_source,
      cfg_err_aer_headerlog => cfg_err_aer_headerlog,
      cfg_aer_interrupt_msgnum => cfg_aer_interrupt_msgnum,
      cfg_err_aer_headerlog_set => cfg_err_aer_headerlog_set,
      cfg_aer_ecrc_check_en => cfg_aer_ecrc_check_en,
      cfg_aer_ecrc_gen_en => cfg_aer_ecrc_gen_en,
      cfg_vc_tcvc_map => cfg_vc_tcvc_map,
      pcie_drp_clk => pcie_drp_clk,
      pcie_drp_en => pcie_drp_en,
      pcie_drp_we => pcie_drp_we,
      pcie_drp_addr => pcie_drp_addr,
      pcie_drp_di => pcie_drp_di,
      pcie_drp_rdy => pcie_drp_rdy,
      pcie_drp_do => pcie_drp_do,
      startup_cfgclk => startup_cfgclk,
      startup_cfgmclk => startup_cfgmclk,
      startup_eos => startup_eos,
      startup_preq => startup_preq,
      startup_clk => startup_clk,
      startup_gsr => startup_gsr,
      startup_gts => startup_gts,
      startup_keyclearb => startup_keyclearb,
      startup_pack => startup_pack,
      startup_usrcclko => startup_usrcclko,
      startup_usrcclkts => startup_usrcclkts,
      startup_usrdoneo => startup_usrdoneo,
      startup_usrdonets => startup_usrdonets,
      icap_clk => icap_clk,
      icap_csib => icap_csib,
      icap_rdwrb => icap_rdwrb,
      icap_i => icap_i,
      icap_o => icap_o,
      pipe_mmcm_rst_n => pipe_mmcm_rst_n,
      sys_clk => sys_clk,
      sys_rst_n => sys_rst_n
    );
END pcie_endpoint_arch;
